org.activiti.engine.management

## Class TableMetaData

- java.lang.Object
- - org.activiti.engine.management.TableMetaData

-     public class TableMetaData
      extends Object

  Structure containing meta data (column names, column types, etc.) about a certain database table.
  Author:
    Joram Barrez

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `columnNames`
    `protected List<String>` | `columnTypes`
    `protected String` | `tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableMetaData()`
    `TableMetaData(String tableName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumnMetaData(String columnName, String columnType)`
    `List<String>` | `getColumnNames()`
    `List<String>` | `getColumnTypes()`
    `String` | `getTableName()`
    `void` | `setColumnNames(List<String> columnNames)`
    `void` | `setColumnTypes(List<String> columnTypes)`
    `void` | `setTableName(String tableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tableName

          protected String tableName

    - #### columnNames

          protected List<String> columnNames

    - #### columnTypes

          protected List<String> columnTypes

  - ### Constructor Detail

    - #### TableMetaData

          public TableMetaData()

    - #### TableMetaData

          public TableMetaData(String tableName)

  - ### Method Detail

    - #### addColumnMetaData

          public void addColumnMetaData(String columnName,
                                        String columnType)

    - #### getTableName

          public String getTableName()

    - #### setTableName

          public void setTableName(String tableName)

    - #### getColumnNames

          public List<String> getColumnNames()

    - #### setColumnNames

          public void setColumnNames(List<String> columnNames)

    - #### getColumnTypes

          public List<String> getColumnTypes()

    - #### setColumnTypes

          public void setColumnTypes(List<String> columnTypes)

Copyright © 2016 Alfresco. All rights reserved.